<template>
  <v-row no-gutters>
    <v-col class="ma-5">
      <title-zone class="mb-10" title="Usuarios">
        <new-user-btn />
      </title-zone>
      <users-table />
    </v-col>
  </v-row>
</template>

<script>
import { mapActions } from 'vuex';
import TitleZone from '~/components/Common/Page/TitleZone';
import UsersTable from '~/components/Company/Users/UsersTable';
import NewUserBtn from '~/components/Company/Users/NewUserBtn';

export default {
  name: 'Usuarios',
  components: {
    TitleZone,
    UsersTable,
    NewUserBtn,
  },
  head: {
    title: 'Usuarios',
  },
  created() {
    this.setPage({ currentPage: 'users' });
  },
  methods: {
    ...mapActions({
      setPage: 'route/pages/setCurrentPage',
    }),
  },
};
</script>
